### Welcome
Endpoint path: /home
Endpoint method: Get

Response: Welcome!
Response shape:
    ```json
    {
      "Today's workout": [
        {
          "name": string,
          "type": string,
          "muscle": string,
          "equipment": string,
          "difficulty": string,
          "instructions": string,
        }
        x5 ^
      ]
    }

### Log in

* Endpoint path: /token
* Endpoint method: POST

* Request shape (form):
  * username: string
  * password: string

* Response: Account information and a token
* Response shape (JSON):
    ```json
    {
      "account": {
        «key»: type»,
      },
      "token": string
    }
    ```

### Log out

* Endpoint path: /token
* Endpoint method: DELETE

* Headers:
  * Authorization: Bearer token

* Response: Always true
* Response shape (JSON):
    ```json
    true
    ```

### Sign Up
Endpoint path: /signup
Endpoint method: POST

Response: Welcome
Response shape:
    ```json
    {
      "User Signup": [
        {
          "name": string,
          "email": string,
          "username": string,
          "password": string,
        }
      ]
    }


### Today's Workout
* Endpoint path: /workout
* Endpoint method: GET

* Headers:
  * Authorization: Bearer token

* Response: List of Exercises
* Response shape:
    ```json
    {
      "exercises": [
        {
          "name": "Incline Hammer Curls",
          "type": "strength",
          "muscle": "biceps",
          "equipment": "dumbbell",
          "difficulty": "beginner",
          "instructions": "Seat yourself on an incline bench with a dumbbell in each hand. You should pressed firmly against he back with your feet together. Allow the dumbbells to hang straight down at your side, holding them with a neutral grip. This will be your starting position. Initiate the movement by flexing at the elbow, attempting to keep the upper arm stationary. Continue to the top of the movement and pause, then slowly return to the start position."
        },
        {
          "name": "Wide-grip barbell curl",
          "type": "strength",
          "muscle": "biceps",
          "equipment": "barbell",
          "difficulty": "beginner",
          "instructions": "Stand up with your torso upright while holding a barbell at the wide outer handle. The palm of your hands should be facing forward. The elbows should be close to the torso. This will be your starting position. While holding the upper arms stationary, curl the weights forward while contracting the biceps as you breathe out. Tip: Only the forearms should move. Continue the movement until your biceps are fully contracted and the bar is at shoulder level. Hold the contracted position for a second and squeeze the biceps hard. Slowly begin to bring the bar back to starting position as your breathe in. Repeat for the recommended amount of repetitions.  Variations:  You can also perform this movement using an E-Z bar or E-Z attachment hooked to a low pulley. This variation seems to really provide a good contraction at the top of the movement. You may also use the closer grip for variety purposes."
        },
        {
          "name": "EZ-bar spider curl",
          "type": "strength",
          "muscle": "biceps",
          "equipment": "barbell",
          "difficulty": "intermediate",
          "instructions": "Start out by setting the bar on the part of the preacher bench that you would normally sit on. Make sure to align the barbell properly so that it is balanced and will not fall off. Move to the front side of the preacher bench (the part where the arms usually lay) and position yourself to lay at a 45 degree slant with your torso and stomach pressed against the front side of the preacher bench. Make sure that your feet (especially the toes) are well positioned on the floor and place your upper arms on top of the pad located on the inside part of the preacher bench. Use your arms to grab the barbell with a supinated grip (palms facing up) at about shoulder width apart or slightly closer from each other. Slowly begin to lift the barbell upwards and exhale. Hold the contracted position for a second as you squeeze the biceps. Slowly begin to bring the barbell back to the starting position as your breathe in. . Repeat for the recommended amount of repetitions.  Variation: You can also use dumbbells when performing this exercise. Just make sure you place the dumbbells on the part of the preacher bench where you would normally sit properly."
        },
        {
          "name": "Hammer Curls",
          "type": "strength",
          "muscle": "biceps",
          "equipment": "dumbbell",
          "difficulty": "intermediate",
          "instructions": "Stand up with your torso upright and a dumbbell on each hand being held at arms length. The elbows should be close to the torso. The palms of the hands should be facing your torso. This will be your starting position. Now, while holding your upper arm stationary, exhale and curl the weight forward while contracting the biceps. Continue to raise the weight until the biceps are fully contracted and the dumbbell is at shoulder level. Hold the contracted position for a brief moment as you squeeze the biceps. Tip: Focus on keeping the elbow stationary and only moving your forearm. After the brief pause, inhale and slowly begin the lower the dumbbells back down to the starting position. Repeat for the recommended amount of repetitions.  Variations: There are many possible variations for this movement. For instance, you can perform the exercise sitting down on a bench with or without back support and you can also perform it by alternating arms; first lift the right arm for one repetition, then the left, then the right, etc."
        },
      ]
    }
    ```

### History
* Endpoint path:/history
* Endpoint method: GET
* Response: History of workouts
* Response shape:
* Headers:
  * Authorization: Bearer token
  ```json
      {
        "Day":[
            {
                "date":string,
                "workouts":[{
                    "name":string
                }],
                "completed":string
            }
        ]
      }

### view Profile
* Endpoint path: /profile
* Endpoint method: GET

* Headers:
    * Authorization: Bearer token

* Response: Account information
* Response shape:
    ```json
    {
        "profile": [
            {
                "name": string,
                "email": string,
                "age": number,
                "weight": number,
                "height": number,
            }
        ]

        "pfp": [
            {
                "img": string,
            }
        ]
    }
    ```

### edit Profile text
